%define name	darkplaces
%define version 20041017
%define release alt0
%define stage 	cvs
%define nqver   1.09
%define modname dpmod

Name: %name
Version: %version
Release: %release.%stage
Url: http://icculus.org/twilight/darkplaces/
Source0: %name.tar.bz2
Source1: %modname.tar.bz2
Source2: %{name}_wrapper
Patch0: %name-makefile.inc.patch
Group: Games/Arcade
License: GPL
Summary: Game engine based on Quake(R) game engine.

# Automatically added by buildreq on Fri Jan 21 2005
BuildRequires: esound libSDL-devel xorg-x11-libs

%description
Darkplaces is a game engine based on the Quake(R) engine source
code using OpenGL.  It is greatly enhanced over Id Software's original,
but is in no way supported by Id Software, Inc.

%package dedicated-server
Summary: Darkplaces and Quake3 server
Group: Games/Arcade
Requires: libSDL >= 1.2.0
Requires: %name-data
BuildPreReq: libSDL-devel >= 1.2.0

%description dedicated-server
Dedicated server for Darkplaces game engine

%package sdl-client
Summary: Darkplaces SDL client
Group: Games/Arcade
Requires: libSDL >= 1.2.0
Requires: %name-data
BuildPreReq: libSDL-devel >= 1.2.0
Provides: quake-client = %nqver

%description sdl-client
SDL client for Darkplaces game engine

%package data
Summary: Darkplaces game engine mod files
Group: Games/Arcade

%description data
Darkplaces is a game engine based on the Quake(R) engine source
code using OpenGL.  It is greatly enhanced over Id Software's original,
but is in no way supported by Id Software, Inc.
Some of the changes to the game:

-Sorted Edge Rasterizer system to reduce overdraw on the 3D card
-Nehahra support (using -nehahra option)
-Larger map size, more accurate movement and precise aiming (however
 Quake and HalfLife maps have an internal limitation of +-32768)
-Optimized QuakeC interpreter
-fully compatible with Id software's last official versions of Quake(R).
-Awesome graphics (litmaps/rtlights aka Doom3 lights support).

%prep
%setup -q -n %name -a 1
%patch0 -p1
# clean CVS tags
find . -type d -a -name CVS -print0 | xargs -0 %__rm -rf

%build
%make_build sdl-release sv-release

%install
%__mkdir_p %buildroot%_gamesdatadir/%name/id1
%__mkdir_p %buildroot%_bindir
%__install -s %SOURCE2 %buildroot%_bindir/%name
%__install -s %name-sdl %buildroot%_bindir/%name-sdl
%__install -s %name-dedicated %buildroot%_bindir/%name-dedicated
cp -Pr %modname %buildroot%_gamesdatadir/%name/%modname

%files data
%doc COPYING %name.txt
%dir %_gamesdatadir/%name/%modname
%_gamesdatadir/%name/%modname
%dir %_gamesdatadir/%name/id1

%files sdl-client
%_bindir/%name
%_bindir/%name-sdl

%files dedicated-server
%_bindir/%name-dedicated

%changelog
* Fri Jan 21 2005 LAKostis <lakostis at altlinux.ru> 20041017-alt0.cvs
- First release for public.
- renumerate version string.
- TODO:
  - docs;
  - tools;
  - alternatives (sdl + glx).

* Sun Oct 23 2002 L.A. Kostis <lakostis@pisem.net> 1.05alt0.1.cvs
- add snd_sdl (very weird but working :)
- fix ALSA 0.9 snd_out
- TODO! add useful docs
- Initial build for ALTLinux distribution
